Skip to main content
`Ctrl`+`K`

# PetscDualSpaceGetType

Gets the `PetscDualSpaceType` name (as a string) from the object.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetType(PetscDualSpace sp, PetscDualSpaceType *name)

Not Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameter

- name - The `PetscDualSpaceType` name

## See Also

`PetscDualSpace`, `PetscDualSpaceType`, `PetscDualSpaceSetType()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages